Subject: cherry-pick generates bogus conflicts on removed files

From: Phillip Susi <[email-masked]>
Date: Thu, 17 Oct 2013 15:58:30 -0400

I have a commit I am trying to cherry pick that removes a number of
files.  It seems to generate conflicts for those files that have been
modified on this branch since the common ancestor.  Since they are
being removed, I don't care about what changes have been made on this
branch, just remove them.  Even git cherry-pick -Xtheirs does not
help.  How can I avoid these conflicts, or accept the deletions?  I
tried git add -u, but that seems to take my version rather than accept
the deletion, and there is no -u switch to git rm.